Name:           osgal
Version:	20060410
Release:        3%{?dist}
Summary:        Adapts OpenSceneGraph to use OpenAL++
Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.vrlab.umu.se/research/osgAL
Source0:        http://download.gna.org/underware/sources/%{name}-cvs-%{version}.tar.gz
Patch0:         osgal-cvs-debian-01.dpatch
Patch1:         osgal-cvs-debian-02.dpatch
Patch2:         osgal-cvs-debian-03.dpatch
BuildRoot:      %{_tmppath}/%{name}-cvs-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  OpenSceneGraph-devel openalpp-devel freealut-devel libvorbis-devel

%if "%fedora" > "4"
BuildRequires:  libGL-devel
%else
BuildRequires:	xorg-x11-devel
%endif

%description
osgAL is a toolkit for handling spatial (3D) sound in the OpenSceneGraph
rendering library.

%package devel
Summary:        Library development files for osgal
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       openalpp-devel

%description devel
This package contains headers and libraries required to build applications
that use osgAL.

%prep
%setup -q -n %{name}-cvs-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Fix rpmlint errors
%{__chmod} -x AUTHORS COPYING NEWS README

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%check
%{__make} %{?_smp_mflags} check

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html/*
%{_includedir}/osgAL
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%exclude %{_libdir}/*.la

%changelog
* Sun Jun 11 2006 Christopher Stone <chris.stone@gmail.com> 20060410-3
- Remove %%makeinstall macro
- Remove pkgconfig from BuildRequires since it's picked up from openalpp-devel
- Add %%defattr to devel subpackage

* Fri Jun 02 2006 Christopher Stone <chris.stone@gmail.com> 20060410-2
- Fix BuildRequires to work with both FC4 and FC5
- Update Summary and %%description
- Fix Group
- Use macros for system commands
- Add %%doc files to main and devel packages
- Add a %%check section
- Remove gcc-c++ from BuildRequires
- Add pkgconfig to BuildRequires
- Fix License tag
- Remove openal-devel since this is picked up by openalpp-devel
- Add openalpp-devel to devel package Requires

* Mon Apr 10 2006 Loic Dachary <loic at gnu.org> 20060410-1
- upstream sync

* Mon Mar 27 2006 Loic Dachary <loic at gnu.org> 20060215-3
- commented mesaLib-GL (fedora5 specific)

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 20060215-2
- Fix BuildRequires
- Add gcc41 patch

* Wed Mar 22 2006 Loic Dachary <loic@gnu.org> 20060215-1
- Initial RPM release
